> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transaction Steps Export Requests



## OpenAPI

````yaml /openapi-reporting.json get /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  title: Abbyy.Vantage.Reporting.Service
  description: 'Environment: Production<br>Product Version: 1.3.2'
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    get:
      tags:
        - Report
      summary: List Transaction Steps Export Requests
      operationId: ListExportRequests
      parameters:
        - name: statusFilter
          in: query
          schema:
            type: array
            items:
              type: string
        - name: createdFrom
          in: query
          schema:
            type: string
        - name: createdTo
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
components:
  schemas:
    ListReportRequestsResponse:
      type: object
      properties:
        requests:
          type: array
          items:
            $ref: '#/components/schemas/ListReportRequestsResponseReportRequestDto'
          description: Details about available requests created by the current user
          nullable: true
      additionalProperties: false
    ListReportRequestsResponseReportRequestDto:
      type: object
      properties:
        requestId:
          type: string
          description: The unique identifier of the report generation request
          format: uuid
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: Actual status of the request
        completedUtc:
          type: string
          description: >-
            Date time (UTC) when the request processing has finished (Only
            available for completed requests)
          nullable: true
        createdUtc:
          type: string
          description: Date time (UTC) when the request was made
          format: date-time
        totalFileCount:
          type: string
          description: |-
            Number of result files in case of successfully finished processing
            Result files can be accessed by their indexes
          nullable: true
        filters:
          description: All the filter parameters which were given for report creation
          nullable: true
      additionalProperties: false
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````